// Code generated by go-swagger; DO NOT EDIT.

package backup_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	models "gitlab.com/kathra/kathra/kathra-services/kathra-runtimemanager/kathra-runtimemanager-go/kathra-runtimemanager-interface/models"
)

// ImportBackupRuntimeEnvironmentsOKCode is the HTTP code returned for type ImportBackupRuntimeEnvironmentsOK
const ImportBackupRuntimeEnvironmentsOKCode int = 200

/*ImportBackupRuntimeEnvironmentsOK RuntimeAppInstance deployed with success

swagger:response importBackupRuntimeEnvironmentsOK
*/
type ImportBackupRuntimeEnvironmentsOK struct {

	/*
	  In: Body
	*/
	Payload *models.RuntimeEnvironmentBackup `json:"body,omitempty"`
}

// NewImportBackupRuntimeEnvironmentsOK creates ImportBackupRuntimeEnvironmentsOK with default headers values
func NewImportBackupRuntimeEnvironmentsOK() *ImportBackupRuntimeEnvironmentsOK {

	return &ImportBackupRuntimeEnvironmentsOK{}
}

// WithPayload adds the payload to the import backup runtime environments o k response
func (o *ImportBackupRuntimeEnvironmentsOK) WithPayload(payload *models.RuntimeEnvironmentBackup) *ImportBackupRuntimeEnvironmentsOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the import backup runtime environments o k response
func (o *ImportBackupRuntimeEnvironmentsOK) SetPayload(payload *models.RuntimeEnvironmentBackup) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *ImportBackupRuntimeEnvironmentsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
